Anonymous Login
2018-12-15 14:07 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001827OpenClonkEngine - Graphicspublic2016-10-16 17:13
ReporterLuchs 
Assigned ToClonk-Karl 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version8.0 
Summary0001827: Changing sky does not work
DescriptionScenario sections can have different skies. However, clearing and re-initing Sky results in a broken ("transparent") sky.

This bug probably appeared somewhere between 6.0 and 7.0 as Sven fixed Clonkfest (i.e. made all skies the same) around the 7.0 release: https://github.com/clonkspot/ClonkFest.ocs/commit/cd1b2e45046833850e0fbf5533888d4d6c3b1f1d
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005444

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/59b5525a410dd223796923ba19a2f566549fe96f

Changeset 59b5525 by Lukas Werling <lukas.werling@gmail.com>
Rework sky definition parsing

This also adds a broken SetSky() script function which was the main
motivation for the rework. See 0001827

~0005445

Luchs (administrator)

Last edited: 2016-10-16 09:39

View 2 revisions

The bug doesn't occur in 6.1. I skimmed over the log and the only change between 6.1 and 7.0 seems to be

20eb0615ee06fa6e016ffc17fc0f8e42541f9df4 Custom shader for drawing sky

by Clonk-Karl.

Edit: I verified now that this commit introduces the bug.

~0005446

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/8f61918219ee2b5d6191a2840bd50a55423c383e

Changeset 8f61918 by Armin Burgmeier <armin@arbur.net>
Initialize graphics when re-loading sky (0001827)

Need this so that C4Sky::Init can read the shaders.

~0005447

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/2362a73e60db01e04e46560fc1d2146a996374ae

Changeset 2362a73 by Armin Burgmeier <armin@arbur.net>
FnSetSky: open Graphics.ocg before re-loading sky (0001827)

Needed to load shader slices in C4Sky::Init.

~0005448

Clonk-Karl (administrator)

The problem is that the graphics files are not open anymore. Fixed by opening Graphics.ocg when re-loading the sky in FnSetSky and at section change.
+Notes

-Issue History
Date Modified Username Field Change
2016-10-15 11:33 Luchs New Issue
2016-10-15 11:38 occ Note Added: 0005444
2016-10-15 15:21 Luchs Note Added: 0005445
2016-10-16 09:39 Luchs Note Edited: 0005445 View Revisions
2016-10-16 17:13 occ Note Added: 0005446
2016-10-16 17:13 occ Note Added: 0005447
2016-10-16 17:13 Clonk-Karl Assigned To => Clonk-Karl
2016-10-16 17:13 Clonk-Karl Status new => resolved
2016-10-16 17:13 Clonk-Karl Resolution open => fixed
2016-10-16 17:13 Clonk-Karl Fixed in Version => 8.0
2016-10-16 17:13 Clonk-Karl Note Added: 0005448
+Issue History